﻿using Demo.Data.Repository;
using Demo.Domain.UseCase;
using Demo.UI;

class Program
{
    static void Main(string[] args)
    {
        GroupRepositoryImpl groupRepositoryImpl = new GroupRepositoryImpl();
        UserRepositoryImpl userRepositoryImpl = new UserRepositoryImpl();
        UserUseCase userUseCase = new UserUseCase(userRepositoryImpl, groupRepositoryImpl);
        GroupUseCase groupUseCase = new GroupUseCase(groupRepositoryImpl);
        UseCasePresence presenceUseCase = new UseCasePresence(); 

        MainMenuUI mainMenuUI = new MainMenuUI(userUseCase, groupUseCase, presenceUseCase);
    }
}
